Name:           rssh
Version:        2.3.2
Release:        1%{?dist}
Summary:        Restricted shell for use with OpenSSH, allowing only scp and/or sftp


Group:          Applications/Internet
License:        BSD 
URL:            http://www.pizzashack.org/rssh/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         rssh-2.3.2-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssh-server, openssh-clients
Requires:       openssh-server

%description

rssh is a restricted shell for use with OpenSSH, allowing only scp
and/or sftp. For example, if you have a server which you only want
to allow users to copy files off of via scp, without providing shell
access, you can use rssh to do that. It is a alternative to scponly. 


%prep
%setup -q
%patch0 -p1 -b .makefile


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(644, root, root, 755)
%doc AUTHORS ChangeLog CHROOT COPYING NEWS README SECURITY TODO conf_convert.sh mkchroot.sh
%doc %{_mandir}/man1/rssh.1*
%doc %{_mandir}/man5/rssh.conf.5*
%config(noreplace) %{_sysconfdir}/rssh.conf
%{_bindir}/rssh
%attr(755, root, root) %{_bindir}/rssh
%attr(4755, root, root) %{_libexecdir}/rssh_chroot_helper



%changelog

* Tue Jul 22 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 2.3.2-1
- Updated to release 2.3.2.


